#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 10. Graphics and Font Libraries

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home

# Qpdf-11.10.1

## Introduction to Qpdf

The Qpdf package contains command-line programs and a library that does structural, content-preserving transformations on PDF files.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/qpdf/qpdf/releases/download/v11.10.1/qpdf-11.10.1.tar.gz

- Download MD5 sum: 1ff2340ee610bd8d1e1296d3523c79c9

- Download size: 19 MB

- Estimated disk space required: 313 MB (with tests)

- Estimated build time: 0.5 SBU (using parallelism=4; add 0.4 SBU for tests)

### Qpdf Dependencies

#### Required

libjpeg-turbo-3.0.1

#### Optional

ghostscript-10.04.0, GnuTLS-3.8.9, libtiff-4.7.0, sphinx-8.2.1 with sphinx_rtd_theme-3.0.2, and texlive-20240312 or install-tl-unx

## Installation of Qpdf

Install Qpdf by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_STATIC_LIBS=OFF     \
          -D CMAKE_INSTALL_DOCDIR=/usr/share/doc/qpdf-11.10.1 \
          .. &&
    make

To test the results, issue: ctest.

Now, as the `root` user:

    make install

## Contents

Installed Programs: fix-qdf, qpdf, and zlib-flate
Installed Library: libqpdf.so
Installed Directories: /usr/lib/cmake/qpdf, /usr/include/qpdf, and /usr/share/doc/qpdf-11.10.1

### Short Descriptions

fix-qdf | is used to repair PDF files in QDF form after editing
qpdf | is used to convert one PDF file to another equivalent PDF file
zlib-flate | is a raw zlib compression program
`libqpdf.so` | contains the Qpdf API functions

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home